Pikseller
GET https://tappon.bio/api/pixels/
curl --request GET \
--url 'https://tappon.bio/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| search | İsteğe bağlı Metin (string) | Arama metni. |
| search_by | İsteğe bağlı Metin (string) | Hangi alanda arama yapılacağı. İzin verilen değerler: name, pixel. |
| type | İsteğe bağlı Metin (string) | İzin verilen değerler: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | İsteğe bağlı Metin (string) | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Metin (string) | Bu tarih ve saatten itibaren sonuçları filtreler. Y-m-d H:i:s biçiminde. |
| datetime_end | İsteğe bağlı Metin (string) | Bu tarih ve saate kadar sonuçları filtreler. Y-m-d H:i:s biçiminde. |
| order_by | İsteğe bağlı Metin (string) | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: pixel_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı Metin (string) | Sonuçların sıralama yönü. İzin verilen değerler: artan sıralama için ASC, azalan sıralama için DESC. |
| page | İsteğe bağlı Tam sayı | Sonuç almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe bağlı Tam sayı | Sayfa başına istediğiniz sonuç sayısı. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-11-02 03:34:19"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tappon.bio/api/pixels?page=1",
"last": "https://tappon.bio/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tappon.bio/api/pixels?page=1"
}
}
GET https://tappon.bio/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tappon.bio/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-11-02 03:34:19"
}
}
POST https://tappon.bio/api/pixels
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| type | Zorunlu Metin (string) | İzin verilen değerler: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Zorunlu Metin (string) | - |
| pixel | Zorunlu Metin (string) | - |
curl --request POST \
--url 'https://tappon.bio/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tappon.bio/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-11-02 03:34:19"
}
}
POST https://tappon.bio/api/pixels/{pixel_id}
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| type | İsteğe bağlı Metin (string) | İzin verilen değerler: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | İsteğe bağlı Metin (string) | - |
| pixel | İsteğe bağlı Metin (string) | - |
curl --request POST \
--url 'https://tappon.bio/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tappon.bio/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-11-02 03:34:19"
}
}
DELETE https://tappon.bio/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tappon.bio/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \